package java.awt.dnd;

import java.io.OutputStream;
import java.io.IOException;
import java.io.Serializable;
import java.io.ObjectOutputStream;

final class SerializationTester
{
    private static ObjectOutputStream stream;
    
    static boolean test(Object obj) {
        if (!(obj instanceof Serializable)) {
            return false;
        }
        try {
            SerializationTester.stream.writeObject(obj);
        }
        catch (IOException ex) {
            return false;
        }
        finally {
            try {
                SerializationTester.stream.reset();
            }
            catch (IOException ex2) {}
        }
        return true;
    }
    
    private SerializationTester() {
    }
    
    static {
        try {
            SerializationTester.stream = new ObjectOutputStream(new OutputStream() {
                @Override
                public void write(int n) {
                }
            });
        }
        catch (IOException ex) {}
    }
}
